### Introduction

Utility module to flush a single image from any image styles it may have generated for it.

This module provides a simple form to which you can provide a source image path (e.g. public://assets/foo/bar/image.jpg) and it will flush any styled image(s) that have been generated.

There is also a service class that can be used in custom code:

```php
$path = 'public://assets/foo/bar/image.jpg';
$paths = \Drupal::service('flush_single_image')->flush($path);
foreach ($paths as $path) {
\Drupal::messenger->addMessage(t('Flushed @path', ['@path' => $path]));
}
```

### Background
This module was originally developed to solve an issue where daily imports from a closed third party system would replace image content on occasion but keep the filenames the same resulting in out of date images in the image style cache.

### Roadmap
* Maintain for future releases of Drupal.
* Drush command to flush a single image styles.

### Maintainers

George Anderson (geoanders)
https://www.drupal.org/u/geoanders
